%define dbase std
%ifos Linux
%define ezroot /usr
%define rcdir /etc
%else
%define ezroot /usr/local
%define rcdir /usr/local/etc
%endif
Name: ezmlm-idx
Summary: Qmail Easy Mailing List Manager + IDX patches.
Version: 0.53.324
Release: 2
Group: Utilities/System
URL: http://www.ezmlm.org
Copyright: Check with djb@koobera.math.uic.edu
Buildroot: /tmp/ezmlm-idx
Packager: lindberg@id.wustl.edu & mw@moni.msci.memphis.edu
Source0: ftp://koobera.math.uic.edu/pub/software/ezmlm-0.53.tar.gz
Source1: ftp://ftp.id.wustl.edu/pub/patches/ezmlm-idx-0.324.tar.gz
Source2: ezman-0.32.html.tar.gz
Source3: ezmlm-idx.spec-kit.tar.gz
Patch0: errno.patch

%package %{dbase}
Summary: Qmail Easy Mailing List Manager + IDX patches with %{dbase} database support.
Group: Utilities/System 
Obsoletes: ezmlm-idx
Conflicts: ezmlm ezmlm-idx-mysql ezmlm-idx-pgsql
%description %{dbase}
ezmlm lets users set up their own mailing lists within qmail's address
hierarchy. A user, Joe, types

   ezmlm-make ~/SOS ~/.qmail-sos joe-sos isp.net

and instantly has a functioning mailing list, joe-sos@isp.net, with all
relevant information stored in a new ~/SOS directory.

ezmlm sets up joe-sos-subscribe and joe-sos-unsubscribe for automatic
processing of subscription and unsubscription requests. Any message to
joe-sos-subscribe will work; Joe doesn't have to explain any tricky
command formats. ezmlm will send back instructions if a subscriber sends
a message to joe-sos-request or joe-sos-help.

ezmlm automatically archives new messages. Messages are labelled with
sequence numbers; a subscriber can fetch message 123 by sending mail to
joe-sos-get.123. The archive format supports fast message retrieval even
when there are thousands of messages.

ezmlm takes advantage of qmail's VERPs to reliably determine the
recipient address and message number for every incoming bounce message.
It waits ten days and then sends the subscriber a list of message
numbers that bounced. If that warning bounces, ezmlm sends a probe; if
the probe bounces, ezmlm automatically removes the subscriber from the
mailing list.


ezmlm is easy for users to control. Joe can edit ~/SOS/text/* to change
any of the administrative messages sent to subscribers. He can remove
~/SOS/public and ~/SOS/archived to disable automatic subscription and
archiving. He can put his own address into ~/SOS/editor to set up a
moderated mailing list. He can edit ~/SOS/{headeradd,headerremove} to
control outgoing headers. ezmlm has several utilities to manually
inspect and manage mailing lists.

ezmlm uses Delivered-To to stop forwarding loops, Mailing-List to
protect other mailing lists against false subscription requests, and
real cryptographic cookies to protect normal users against false
subscription requests. ezmlm can also be used for a sublist,
redistributing messages from another list.

ezmlm is reliable, even in the face of system crashes. It writes each
new subscription and each new message safely to disk before it reports
success to qmail.

ezmlm doesn't mind huge mailing lists. Lists don't even have to fit into
memory. ezmlm hashes the subscription list into a set of independent
files so that it can handle subscription requests quickly. ezmlm uses
qmail for blazingly fast parallel SMTP deliveries.

The IDX patches add: Indexing, (Remote) Moderation, digest, make
patches, multi-language, MIME, global interface, %{dbase} database support.

%description -l pl
Menad<BF>er pocztowych list dyskusyjnych, ca<B3>kowicie spolszczony, mo<BF>liwo
<B6><F6> zdalnego moderowania, MIME. 

%changelog
* Thu Mar 04 2004 David Summers <david@summersoft.fay.ar.us> 0.53.324-2
- Fixed standard RedHat 9+ "errno" issue for DJB programs.

* Wed Mar 03 2004 David Summers <david@summersoft.fay.ar.us> 0.53.324-1
- Marked (previous) release 1 (lasted for 6+ years?).

%prep
%setup -T -b 0 -n ezmlm-0.53
%setup -D -T -a 1 -n ezmlm-0.53
mv -f ezmlm-idx-0.324/* .

%patch0

patch -s < idx.patch

%build 
RC=%{rcdir}/ezmlmrc

sed -e 's{^#define TXT_ETC_EZMLMRC \"/etc/ezmlmrc\"{#define TXT_ETC_EZMLMRC \"$RC\"{' \
idx.h > idx.h.tmp
mv idx.h.tmp idx.h

echo %{ezroot}/bin > conf-bin
echo %{ezroot}/man > conf-man

make %{dbase}
make it install

# format man pages only if on nonlinux.
%ifos Linux
%else
make man
%endif

%install
DESTDIR=$RPM_BUILD_ROOT
RC=%{rcdir}/ezmlmrc

mkdir -p $DESTDIR/%{ezroot}/{bin,man}
mkdir -p $DESTDIR/%{rcdir}

# Do not create cat subdirs on Linux
%ifos Linux
sed '/cat/d' MAN > MAN.tmp
mv MAN.tmp MAN
%endif 

./install $DESTDIR/%{ezroot}/bin < BIN
./install $DESTDIR/%{ezroot}/man < MAN

cp $DESTDIR/%{ezroot}/bin/ezmlmrc $DESTDIR/$RC
cp $DESTDIR/%{ezroot}/bin/ezmlmrc  $DESTDIR/$RC.dist

tar zxvf $RPM_SOURCE_DIR/ezman-0.32.html.tar.gz

%clean
DESTDIR=$RPM_BUILD_ROOT
/bin/rm -rf $DESTDIR

%files %{dbase}
%defattr(-,root,root)
%config %{rcdir}/ezmlm*
%doc BLURB CHANGES* FAQ.idx INSTAL*  README*
%doc THANKS TODO UPGRADE.idx VERSION
%doc DOWNGRADE.idx ezmlmrc ezmlmrc.[a-zA-Z]*  ezman*
%doc qmail-*.tar.gz
%{ezroot}/bin/*
%{ezroot}/man/*/*

